Subject: Re: [bitcoin-dev] BIP0008 clarification

From: ZmnSCPxj <[email-masked]>
Date: Mon, 12 Feb 2018 22:26:47 -0500

Good morning Helder,

>Hi,
>
> I’m trying to understand the process of signalling and activation of updates in bitcoin. Following BIP34, BIP9, I got into BIP8.
> In my understanding of what I read there, an update will be activated even if the threshold of 95% signalling is not reached in STARTED state, as soon as blockchain height is equal or higher than timeout_height.
> Is my understanding correct? If so, isn’t it a risk to activate a change even if you don’t have the majority of hash power accepting it?

Assuming the update is widespread among economic actors, only miners who do not follow the more stringent rules of the update will suffer, as their blocks will have a high probability of not following those rules and thus will be implicitly rejected by economic actors.  Rational miners who follow the update, no matter how small their hash power share, would prefer the chain that economic actors will accept as real and would build only on blocks that follow updated rules strictly.

Indeed, the time from STARTED to ACTIVE simply serves to let miners upgrade their software, as a concession that in the real world we cannot safely deploy new software in a single day.

Regards,
ZmnSCPxj